Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCCallResultParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.ejie.r01f.rpcdispatcher.RPCCallResultParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

public class RPCCallResultParser
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler

Field Summary
`java.lang.String` | `resultType`
`int` | `resultTypeCode`
`java.lang.StringBuffer` | `resultValue`

Constructor Summary
`RPCCallResultParser(java.io.InputStream newIs)` Constructor vacio

Method Summary
`void` | `characters(char[] buf, int offset, int len)` Caracteres del elemento XML
`void` | `comment(char[] values, int param, int param2)`
`java.lang.String` | `composeDebugInfo()` Compone información de depuración
`void` | `endCDATA()`
`void` | `endDocument()` Fin del documento XML
`void` | `endDTD()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName)` Fin de un elemento XML
`void` | `endEntity(java.lang.String str)`
`RPCCallResult` | `getRPCCallResult()` Devuelve el resultado de la llamada RPC encapsulado en un objeto RPCCallResult
`void` | `startCDATA()`
`void` | `startDocument()` Principio del documento XML
`void` | `startDTD(java.lang.String str, java.lang.String str1, java.lang.String str2)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String lName, java.lang.String qName, org.xml.sax.Attributes attrs)` Principio de un elemento XML
`void` | `startEntity(java.lang.String str)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultTypeCode

    public int resultTypeCode

### resultType

    public java.lang.String resultType

### resultValue

    public java.lang.StringBuffer resultValue

Constructor Detail

### RPCCallResultParser

    public RPCCallResultParser(java.io.InputStream newIs)
                        throws org.xml.sax.SAXException

  Constructor vacio

Method Detail

### getRPCCallResult

    public RPCCallResult getRPCCallResult()

  Devuelve el resultado de la llamada RPC encapsulado en un objeto RPCCallResult

  Returns:
    un objeto RPCCallResult con el resultado

### composeDebugInfo

    public java.lang.String composeDebugInfo()

  Compone información de depuración

  Returns:
    la info de debug

### startDocument

    public void startDocument()

  Principio del documento XML

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`

### endDocument

    public void endDocument()

  Fin del documento XML

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String lName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)

  Principio de un elemento XML

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`

### characters

    public void characters(char[] buf,
                           int offset,
                           int len)

  Caracteres del elemento XML

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String sName,
                           java.lang.String qName)

  Fin de un elemento XML

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`

### startCDATA

    public void startCDATA()

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### endCDATA

    public void endCDATA()

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### comment

    public void comment(char[] values,
                        int param,
                        int param2)

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`

### startEntity

    public void startEntity(java.lang.String str)

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endEntity

    public void endEntity(java.lang.String str)

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endDTD

    public void endDTD()

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

### startDTD

    public void startDTD(java.lang.String str,
                         java.lang.String str1,
                         java.lang.String str2)

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD